> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Licenses

> Retrieves a list of all registered licenses and the details in the workspace.

Permission required: `view-privileged-setting`.

The `licenses.isEnterprise` and `licenses.get` endpoints have been removed from 7.0. Use this endpoint instead.

## OpenAPI

````json GET /api/v1/licenses.info
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Miscellaneous"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/licenses.info": {
      "get": {
        "tags": [
          "Licenses"
        ],
        "summary": "Get Licenses",
        "description": "Retrieves a list of all registered licenses and the details in the workspace.\n\nPermission required: `view-privileged-setting`.\n\nThe `licenses.isEnterprise` and `licenses.get` endpoints have been removed from 7.0. Use this endpoint instead.",
        "operationId": "get-api-v1-licenses.info",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "license": {
                      "type": "object",
                      "properties": {
                        "license": {
                          "type": "object",
                          "properties": {
                            "version": {
                              "type": "string"
                            },
                            "information": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string"
                                },
                                "autoRenew": {
                                  "type": "boolean"
                                },
                                "createdAt": {
                                  "type": "string"
                                },
                                "visualExpiration": {
                                  "type": "string"
                                },
                                "notifyAdminsAt": {
                                  "type": "string"
                                },
                                "notifyUsersAt": {
                                  "type": "string"
                                },
                                "trial": {
                                  "type": "boolean"
                                },
                                "cancellable": {
                                  "type": "boolean"
                                },
                                "offline": {
                                  "type": "boolean"
                                },
                                "grantedBy": {
                                  "type": "object",
                                  "properties": {}
                                },
                                "grantedTo": {
                                  "type": "object",
                                  "properties": {}
                                },
                                "tags": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "name": {
                                        "type": "string"
                                      },
                                      "color": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            "validation": {
                              "type": "object",
                              "properties": {
                                "serverUrls": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "value": {
                                        "type": "string"
                                      },
                                      "type": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "cloudWorkspaceId": {
                                  "type": "string"
                                },
                                "serverUniqueId": {
                                  "type": "string"
                                },
                                "validPeriods": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "validUntil": {
                                        "type": "string"
                                      },
                                      "invalidBehavior": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "legalTextAgreement": {
                                  "type": "object",
                                  "properties": {
                                    "type": {
                                      "type": "string"
                                    },
                                    "acceptedVia": {
                                      "type": "string"
                                    }
                                  }
                                },
                                "statisticsReport": {
                                  "type": "object",
                                  "properties": {
                                    "required": {
                                      "type": "boolean"
                                    },
                                    "allowedStaleInDays": {
                                      "type": "integer"
                                    }
                                  }
                                }
                              }
                            },
                            "grantedModules": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "module": {
                                    "type": "string"
                                  }
                                }
                              }
                            },
                            "limits": {
                              "type": "object",
                              "properties": {
                                "guestUsers": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "max": {
                                        "type": "integer"
                                      },
                                      "behavior": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "roomsPerGuest": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "max": {
                                        "type": "integer"
                                      },
                                      "behavior": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "monthlyActiveContacts": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "max": {
                                        "type": "integer"
                                      },
                                      "behavior": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                }
                              }
                            },
                            "cloudMeta": {
                              "type": "object",
                              "properties": {}
                            }
                          }
                        },
                        "activeModules": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "preventedActions": {
                          "type": "object",
                          "properties": {
                            "activeUsers": {
                              "type": "boolean"
                            },
                            "guestUsers": {
                              "type": "boolean"
                            },
                            "roomsPerGuest": {
                              "type": "boolean"
                            },
                            "privateApps": {
                              "type": "boolean"
                            },
                            "marketplaceApps": {
                              "type": "boolean"
                            },
                            "monthlyActiveContacts": {
                              "type": "boolean"
                            }
                          }
                        },
                        "limits": {
                          "type": "object",
                          "properties": {
                            "activeUsers": {
                              "type": "object",
                              "properties": {
                                "max": {
                                  "type": "integer"
                                }
                              }
                            },
                            "guestUsers": {
                              "type": "object",
                              "properties": {
                                "max": {
                                  "type": "integer"
                                }
                              }
                            },
                            "privateApps": {
                              "type": "object",
                              "properties": {
                                "max": {
                                  "type": "integer"
                                }
                              }
                            },
                            "marketplaceApps": {
                              "type": "object",
                              "properties": {
                                "max": {
                                  "type": "integer"
                                }
                              }
                            },
                            "monthlyActiveContacts": {
                              "type": "object",
                              "properties": {
                                "max": {
                                  "type": "integer"
                                }
                              }
                            }
                          }
                        },
                        "tags": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string"
                              },
                              "color": {
                                "type": "string"
                              }
                            }
                          }
                        },
                        "trial": {
                          "type": "boolean"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "license": {
                        "license": {
                          "version": "3.0",
                          "information": {
                            "id": "6569155ab286e50001b78ec1",
                            "autoRenew": "true",
                            "createdAt": "2024-03-17T00:51:43.529361607Z",
                            "visualExpiration": "2024-03-10T00:00:00Z",
                            "notifyAdminsAt": "2024-03-10T00:00:00Z",
                            "notifyUsersAt": "2024-03-10T00:00:00Z",
                            "trial": "true",
                            "cancellable": "true",
                            "offline": "false",
                            "grantedBy": {},
                            "grantedTo": {},
                            "tags": [
                              {
                                "name": "Enterprise trial",
                                "color": "#F3BE08"
                              }
                            ]
                          },
                          "validation": {
                            "serverUrls": [
                              {
                                "value": "testspace.rocket.chat",
                                "type": "url"
                              }
                            ],
                            "cloudWorkspaceId": "64df890111e1f20001d201b4",
                            "serverUniqueId": "tgxSuzXmWe68S3kWR",
                            "validPeriods": [
                              {
                                "validUntil": "2024-03-24T00:00:00Z",
                                "invalidBehavior": "invalidate_license"
                              }
                            ],
                            "legalTextAgreement": {
                              "type": "required",
                              "acceptedVia": "cloud"
                            },
                            "statisticsReport": {
                              "required": "true",
                              "allowedStaleInDays": "2"
                            }
                          },
                          "grantedModules": [
                            {
                              "module": "auditing"
                            },
                            {
                              "module": "canned-responses"
                            },
                            {
                              "module": "ldap-enterprise"
                            },
                            {
                              "module": "livechat-enterprise"
                            },
                            {
                              "module": "voip-enterprise"
                            },
                            {
                              "module": "omnichannel-mobile-enterprise"
                            },
                            {
                              "module": "engagement-dashboard"
                            },
                            {
                              "module": "push-privacy"
                            },
                            {
                              "module": "scalability"
                            },
                            {
                              "module": "teams-mention"
                            },
                            {
                              "module": "saml-enterprise"
                            },
                            {
                              "module": "oauth-enterprise"
                            },
                            {
                              "module": "device-management"
                            },
                            {
                              "module": "federation"
                            },
                            {
                              "module": "videoconference-enterprise"
                            },
                            {
                              "module": "message-read-receipt"
                            },
                            {
                              "module": "outlook-calendar"
                            },
                            {
                              "module": "hide-watermark"
                            },
                            {
                              "module": "custom-roles"
                            },
                            {
                              "module": "accessibility-certification"
                            }
                          ],
                          "limits": {
                            "guestUsers": [
                              {
                                "max": "235",
                                "behavior": "start_fair_policy"
                              },
                              {
                                "max": "235",
                                "behavior": "prevent_action"
                              }
                            ],
                            "roomsPerGuest": [
                              {
                                "max": "1",
                                "behavior": "start_fair_policy"
                              },
                              {
                                "max": "1",
                                "behavior": "prevent_action"
                              }
                            ],
                            "monthlyActiveContacts": [
                              {
                                "max": "-1",
                                "behavior": "start_fair_policy"
                              },
                              {
                                "max": "-1",
                                "behavior": "prevent_action"
                              }
                            ]
                          },
                          "cloudMeta": {}
                        },
                        "activeModules": [
                          "auditing",
                          "canned-responses",
                          "ldap-enterprise",
                          "livechat-enterprise",
                          "voip-enterprise",
                          "omnichannel-mobile-enterprise",
                          "engagement-dashboard",
                          "push-privacy",
                          "scalability",
                          "teams-mention",
                          "saml-enterprise",
                          "oauth-enterprise",
                          "device-management",
                          "federation",
                          "videoconference-enterprise",
                          "message-read-receipt",
                          "outlook-calendar",
                          "hide-watermark",
                          "custom-roles",
                          "accessibility-certification"
                        ],
                        "preventedActions": {
                          "activeUsers": "false",
                          "guestUsers": "false",
                          "roomsPerGuest": "false",
                          "privateApps": "false",
                          "marketplaceApps": "false",
                          "monthlyActiveContacts": "false"
                        },
                        "limits": {
                          "activeUsers": {
                            "max": "-1"
                          },
                          "guestUsers": {
                            "max": "235"
                          },
                          "privateApps": {
                            "max": "-1"
                          },
                          "marketplaceApps": {
                            "max": "-1"
                          },
                          "monthlyActiveContacts": {
                            "max": "-1"
                          }
                        },
                        "tags": [
                          {
                            "name": "Enterprise trial",
                            "color": "#F3BE08"
                          }
                        ],
                        "trial": "true"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

